Package ghidra.graph.viewer.event.mouse

# Class VisualGraphSatelliteScalingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin
edu.uci.ics.jung.visualization.control.SatelliteScalingGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphSatelliteScalingGraphMousePlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseWheelListener`, `EventListener`

public class VisualGraphSatelliteScalingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.SatelliteScalingGraphMousePlugin implements VisualGraphMousePlugin<V,E>

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin

  `in, out, scaler, zoomAtMouse`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphSatelliteScalingGraphMousePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkModifiers(MouseEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.SatelliteScalingGraphMousePlugin

  `mouseWheelMoved`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin

  `getIn, getOut, getScaler, setIn, setOut, setScaler, setZoomAtMouse`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphSatelliteScalingGraphMousePlugin

    public VisualGraphSatelliteScalingGraphMousePlugin()

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin`